#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		colorama
Summary:	Cross-platform colored terminal text
Summary(pl.UTF-8):	Wieloplatformowe kolorowanie tekstu na terminalu
Name:		python-%{module}
Version:	0.4.1
Release:	2
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/colorama/
Source0:	https://files.pythonhosted.org/packages/source/c/colorama/%{module}-%{version}.tar.gz
# Source0-md5:	f927529cd1735f6f50ee2c61628e9c1f
URL:		https://github.com/tartley/colorama
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ANSI escape character sequences have long been used to produce colored
terminal text and cursor positioning on Unix and Macs. Colorama makes
this work on Windows, too, by wrapping stdout, stripping ANSI
sequences it finds (which otherwise show up as gobbledygook in your
output), and converting them into the appropriate Win32 calls to
modify the state of the terminal. On other platforms, Colorama does
nothing.

Colorama also provides some shortcuts to help generate ANSI sequences
but works fine in conjunction with any other ANSI sequence generation
library, such as Termcolor (http://pypi.python.org/pypi/termcolor).

This has the upshot of providing a simple cross-platform API for
printing colored terminal text from Python, and has the happy
side-effect that existing applications or libraries which use ANSI
sequences to produce colored output on Linux or Macs can now also work
on Windows, simply by calling colorama.init().

%description -l pl.UTF-8
Do wyświetlania kolorowego tekstu na terminalu oraz przesuwania
kursora w systemach Unix i Mac od dawna używane są sekwencje ANSI.
Colorama sprawia, że działa to także pod Windows - poprzez
przechwycenie stdout, wycinanie znalezionych sekwencji ANSI (które w
przeciwnym wypadku wyświetliłyby się jako bełkot) i przekształcanie
ich na odpowiednie wywołania Win32, modyfikujące stan terminala. Na
innych platformach Colorama nie robi nic.

Colorama zapewnia też pewne ułatwienia do generowania sekwencji ANSI,
ale działa dobrze w połączeniu z dowolną inną biblioteką generującą
sekwencje ANSI, taką jak Termcolor
(http://pypi.python.org/pypi/termcolor).

Efektem jest zapewnienie prostego, wieloplatformowego API do
wypisywania kolorowego tekstu z Pythona, co ma miły efekt uboczny, że
istniejące aplikacje czy biblioteki wykorzystujące sekwencje ANSI do
tworzenia kolorowego wyjścia pod systemem Linux czy Mac będą teraz
działać także pod Windows dzięki prostemu wywołaniu colorama.init().

%package -n python3-%{module}
Summary:	Cross-platform colored terminal text
Summary(pl.UTF-8):	Wieloplatformowe kolorowanie tekstu na terminalu
Group:		Libraries/Python

%description -n python3-%{module}
ANSI escape character sequences have long been used to produce colored
terminal text and cursor positioning on Unix and Macs. Colorama makes
this work on Windows, too, by wrapping stdout, stripping ANSI
sequences it finds (which otherwise show up as gobbledygook in your
output), and converting them into the appropriate win32 calls to
modify the state of the terminal. On other platforms, Colorama does
nothing.

Colorama also provides some shortcuts to help generate ANSI sequences
but works fine in conjunction with any other ANSI sequence generation
library, such as Termcolor (http://pypi.python.org/pypi/termcolor).

This has the upshot of providing a simple cross-platform API for
printing colored terminal text from Python, and has the happy
side-effect that existing applications or libraries which use ANSI
sequences to produce colored output on Linux or Macs can now also work
on Windows, simply by calling colorama.init().

%description -n python3-%{module} -l pl.UTF-8
Do wyświetlania kolorowego tekstu na terminalu oraz przesuwania
kursora w systemach Unix i Mac od dawna używane są sekwencje ANSI.
Colorama sprawia, że działa to także pod Windows - poprzez
przechwycenie stdout, wycinanie znalezionych sekwencji ANSI (które w
przeciwnym wypadku wyświetliłyby się jako bełkot) i przekształcanie
ich na odpowiednie wywołania Win32, modyfikujące stan terminala. Na
innych platformach Colorama nie robi nic.

Colorama zapewnia też pewne ułatwienia do generowania sekwencji ANSI,
ale działa dobrze w połączeniu z dowolną inną biblioteką generującą
sekwencje ANSI, taką jak Termcolor
(http://pypi.python.org/pypi/termcolor).

Efektem jest zapewnienie prostego, wieloplatformowego API do
wypisywania kolorowego tekstu z Pythona, co ma miły efekt uboczny, że
istniejące aplikacje czy biblioteki wykorzystujące sekwencje ANSI do
tworzenia kolorowego wyjścia pod systemem Linux czy Mac będą teraz
działać także pod Windows dzięki prostemu wywołaniu colorama.init().

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%endif
%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a demos/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
	| xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE.txt README.rst
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{py_sitescriptdir}/%{module}-*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-colorama.git;a=log;h=auto/th/python-colorama-0.4.1-2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cfbdf3a
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 4ea1c68
- updated to 0.4.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1df339e
- python 3.7 rebuild
- release 2 (by relup.sh)

* Tue Jul 18 2017 Elan Ruusamäe <glen@pld-linux.org> f7b361f
- up to 0.3.7

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 050c047
- python 3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 074d9a9
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f938f23
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> da03836
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 44aa29e
- python3.5 rebuild
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fcfc24b
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b6e5820
- python 3.4
- release 3 (by relup.sh)

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> 52c7cb2
- package module dir
- rel 2

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> c3d2300
- new

